1. Fiat Account Management
v2.1 (Production)
  • v2.1 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • v2.1
    • Getting Started
    • Account Setup For PSP
    • Account Setup For Direct Client
    • Idempotent Requests
    • Webhook
    • API Error Handling Guide
    • Changelog
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Initiate Merchant Activation
      • Confirm Merchant Activation
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
          GET
        • Create Fiat Account Request
          POST
        • Submit Additional Information for Fiat Account Request
          POST
        • Get Fiat Account Application Status
          GET
        • Get Bank Accounts
          GET
        • Add Bank Account
          POST
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout v1.0
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Refund v1.0
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
      • Crypto Checkout v2.0
        • Create Checkout
        • Create Crypto Quotation
        • Order Accept
        • Get Checkout History
        • Get Checkout
        • Close Checkout
        • Get Checkout Acceptable Cryptos
        • Checkout Status Webhook
      • Crypto Refund v2.0
        • Get Checkout Refundable Info
        • Create Crypto Void
        • Create Crypto Risk Refund
        • Create Crypto Refund
        • Close Crypto Refund
        • Get Crypto Refund
        • Refund Status Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Statements
      • Create statement
      • Get statement overview
      • Get statement entries
      • Get statement transactions
    • Points
      • Get Points Balance
      • List Points Transactions
      • Get Points Transaction Detail
    • Fee Estimate
      • Fee Estimate
    • Tool
      • Upload File
      • getTnC
  1. Fiat Account Management

Add Bank Account

POST
/v2.0/crm/addressBook/addBankAccount
API Overview
ItemValue
API StatusStable
Current Versionv2.0
Backward CompatibilityYes
Applicable EnvironmentProduction
Applicable User RolesPSP and Direct Client

Description
Add bank account.
Constraints: swiftCode: max 12 characters. bankAccountNumber: max 100 characters.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "participantCode": "B0100106",
    "type": 2,
    "typeOfThirdParty": 1,
    "corporateCountryCode": "US",
    "label": "Business Operating Account",
    "bankAccountNumber": "US12345678901234567890",
    "swiftCode": "CHASUS33",
    "bankName": "JPMorgan Chase Bank",
    "bankAddress": "270 Park Avenue",
    "bankCountry": "US",
    "bankState": "NY",
    "bankCity": "New York",
    "postCode": "10017",
    "routingNumber": "021000021",
    "intermediaryBank": [],
    "relationship": "Subsidiary",
    "beneficiaryOfThirdParty": {
        "name": "Raquel Zemlak",
        "email": "raquel.zemlak@example.com",
        "addressInfo": {
            "country": "US",
            "state": "Virginia",
            "city": "Richmond",
            "postCode": "23218",
            "addressLine1": "123 Main Street",
            "addressLine2": ""
        }
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v2.0/crm/addressBook/addBankAccount' \
--header 'Content-Type: application/json' \
--data-raw '{
    "participantCode": "B0100106",
    "type": 2,
    "typeOfThirdParty": 1,
    "corporateCountryCode": "US",
    "label": "Business Operating Account",
    "bankAccountNumber": "US12345678901234567890",
    "swiftCode": "CHASUS33",
    "bankName": "JPMorgan Chase Bank",
    "bankAddress": "270 Park Avenue",
    "bankCountry": "US",
    "bankState": "NY",
    "bankCity": "New York",
    "postCode": "10017",
    "routingNumber": "021000021",
    "intermediaryBank": [],
    "relationship": "Subsidiary",
    "beneficiaryOfThirdParty": {
        "name": "Raquel Zemlak",
        "email": "raquel.zemlak@example.com",
        "addressInfo": {
            "country": "US",
            "state": "Virginia",
            "city": "Richmond",
            "postCode": "23218",
            "addressLine1": "123 Main Street",
            "addressLine2": ""
        }
    }
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "bankAccountId": "100024648",
        "participantCode": "B0100348",
        "type": 1,
        "typeOfThirdParty": null,
        "corporateCountryCode": null,
        "label": "cw-bank-1784511663",
        "bankAccountNumber": "CWTEST1784511663",
        "swiftCode": "CTBAAU2S",
        "bankName": "Test Bank",
        "bankAddress": "1 Test St",
        "bankCountry": "AU",
        "bankState": "NEW SOUTH WALES",
        "bankCity": "SYDNEY",
        "postCode": "2000",
        "routingNumber": null,
        "intermediaryBank": null,
        "relationship": null,
        "beneficiaryOfThirdParty": null,
        "createdAt": 1784511664000,
        "updatedAt": 1784511664000
    }
}
Modified at 2026-07-23 06:38:21
Previous
Get Bank Accounts
Next
Fiat Account Request Status Webhook
Built with